summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-19 06:50:29 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-19 06:50:29 +0000
commit26accc65dbba8b4e60519f91ac4405224172e8ab (patch)
treeb979dca7ff9c358d6307f2a29ce007e38bad82d1 /dev-python
parent8394a983e367fe1d3eafe8fd65d197304f90ae3d (diff)
downloadbaldeagleos-repo-26accc65dbba8b4e60519f91ac4405224172e8ab.tar.gz
baldeagleos-repo-26accc65dbba8b4e60519f91ac4405224172e8ab.tar.xz
baldeagleos-repo-26accc65dbba8b4e60519f91ac4405224172e8ab.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cachetools/Manifest1
-rw-r--r--dev-python/cachetools/cachetools-5.5.0.ebuild21
-rw-r--r--dev-python/django-otp/Manifest2
-rw-r--r--dev-python/django-otp/django-otp-1.5.2.ebuild (renamed from dev-python/django-otp/django-otp-1.5.0.ebuild)0
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.34.0.ebuild59
-rw-r--r--dev-python/imageio/Manifest1
-rw-r--r--dev-python/imageio/imageio-2.35.1.ebuild103
8 files changed, 187 insertions, 1 deletions
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 87922b8da879..56170c8f65d8 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1 +1,2 @@
DIST cachetools-5.4.0.tar.gz 26975 BLAKE2B cdceb90771686dfee1be9117b3d12fd60e832683be7dd1825f2c430eb9f897d0565cac12b9238090e56391ea2cb097762b7c43726602ec82ffe7fcdf4885aa3c SHA512 ee45747725bed2e3f06b493cf052896af48485907792f1a8331b1dcfca8a52942d2a49eb8c2bf4942ef749f4266d239e95d4165fb681a74fa57d0fe126fc4397
+DIST cachetools-5.5.0.tar.gz 27661 BLAKE2B b46cdaeb2e2589eecedd2add633d92901be317120f70fbc04b6f552ce87d0cad9fe8e1e561e96a7f76d3617b02f5e02c0a1162a6a267f1ba6a8dbb283e7d8585 SHA512 fac6516880b83e0722e52037bed66c9a2b7ed683ccabca953ab82a27c47ae85a76a8abdc35e584c2c46ed194c1fbb8e3e5d6680235e0c4450d89a95c46904f51
diff --git a/dev-python/cachetools/cachetools-5.5.0.ebuild b/dev-python/cachetools/cachetools-5.5.0.ebuild
new file mode 100644
index 000000000000..14db04873cc7
--- /dev/null
+++ b/dev-python/cachetools/cachetools-5.5.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensible memoizing collections and decorators"
+HOMEPAGE="
+ https://github.com/tkem/cachetools/
+ https://pypi.org/project/cachetools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index 80ea52fe5025..b777ff3681e6 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1,2 +1,2 @@
-DIST django_otp-1.5.0.tar.gz 72265 BLAKE2B e2a687a287b5e7b4f5c9370b280bd60b5e9cd62ff6fea4187988acc703ce5cc61f4ee094026c07391343983d87d9c0cb1ff4fa51d10a3e7a4d8da4da182fcb4b SHA512 0169804992b155dfa88fbc0d695091f3f03225f28a104c595e7790f174ff3f4943280b7a3dbb3d4c263cc1bad0ea0370e4749d8d0b1df1e3675881365fc15dfe
DIST django_otp-1.5.1.tar.gz 73275 BLAKE2B 45a4691a1d9aad6416c28d6aa7b7850890bff19385bb7283019272c836e6cd83c55ba590e57e335131a99e98a17bf49c2418fe69a132b91a182e43c0a33cf863 SHA512 4d2af0a009fe945e136d91404bfa3977783ac681126ffeaa7ebfaacd85764afa07a568284ed1ba9d2c81ef472490df98585e78a1a36c81212b7363362db10f93
+DIST django_otp-1.5.2.tar.gz 73778 BLAKE2B 290afbb0a9f2f6ad41ecdb3d65003b0abf4838776241b00957bdbe7303335a33f99eb9e4c23454500fc92d03595a6fb393dd18ba6341e8dde789e21cfabda114 SHA512 5fa8ce6652b6849a7bc347e34addf2b4f694d0116d8c9574fa12d5f2e9313240b69fe4e9058317e202750e453af2882eb24d33d39a7104c458f2337c921901ee
diff --git a/dev-python/django-otp/django-otp-1.5.0.ebuild b/dev-python/django-otp/django-otp-1.5.2.ebuild
index 10a9804b2740..10a9804b2740 100644
--- a/dev-python/django-otp/django-otp-1.5.0.ebuild
+++ b/dev-python/django-otp/django-otp-1.5.2.ebuild
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index afc5431730ba..75b582c86f67 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
DIST google_auth-2.32.0.tar.gz 254614 BLAKE2B fc419f1d751cf99497fb00c4cc5b8ff25380a3341970aa31bebadc5f0a84efd8b9d806f939c9137fd872063d6b3cd06eff0629beab8194e0bf6f7323124f8f90 SHA512 d72d9c367a47b3496dcaae9deec29315c65e43ddf9b3ee2838232ed2ac8aabdf5c91978a6d66700b5e9e77a0de8820ecf12b798fb65383600e08d47b732d1981
DIST google_auth-2.33.0.tar.gz 257157 BLAKE2B c0071ba0fe5710b9bad3c0fc256b1709478635f2e8123a2bd6cb985cde7c38604b6fa0fcab24a694884d37eef8a15b2d72a6e0f3994bb39aa1d46b1e3e279ce9 SHA512 18d05525147d0da8815213d9f2d19595abaa79daff373ddfb59373e493a6a324dd55e766afa50cc03bccb4a5daf5f93b6fa168ed628f490f0d33b1b050cdb7f7
+DIST google_auth-2.34.0.tar.gz 257875 BLAKE2B 3ebd19aff528673e2240769b606cc6c88cead7dad4beafd58966fe4534a7a5b016daac448658992d5210a69749968975bfb9de462fa8de5891f1412c141b2cad SHA512 fd023bb3d8803e267a7c50536a30e749cfe388e95bd580556e9a60c88c093eb70b93493c4d277dcc77588a43644d90a0c5b80cab946b29f37af99ee913571b8b
diff --git a/dev-python/google-auth/google-auth-2.34.0.ebuild b/dev-python/google-auth/google-auth-2.34.0.ebuild
new file mode 100644
index 000000000000..b6af43c347e2
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.34.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 65e9fb7d2e88..e307f433136d 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,2 +1,3 @@
DIST imageio-2.35.0.gh.tar.gz 415875 BLAKE2B 5fc774c6e48fdd6a4171397cd7c8af8be323886979186507692754bfd439ceaf1434bc3958ec7f55570cb39ae0713d77b6999233339ba20c0f343abd9dd72728 SHA512 707aee7dea36d9292c867e551b0c1dd78e1b52e41c03238f28e77b133bc82c1f0e8de8c25200fefc65c69dbb47720e3878292abc697ed09c9e12dcea09c3da99
+DIST imageio-2.35.1.gh.tar.gz 415944 BLAKE2B 303cc3ab288b184fdbd8b5a1e3cb47308bd96e818793245d84f4bb3fb55f117fb61ae49df80aada8aceb128172d3b47e48fe0a47823a0734847a98983f2ec80c SHA512 7aa486c23179a798b3801a4ea7d71d2a4f81f53a02dcd0f83537bb3b3ce617b02882bb970e45bc390c106b8d7c62822a736f898ff21dac4951963f2cbc899fc4
DIST imageio-test_images-1121036015c70cdbb3015e5c5ba0aaaf7d3d6021.gh.tar.gz 195497374 BLAKE2B 0083212fd63c196dc2e721bff8f89c177b6741317b6b1c6ae9d00a8dd5fb6366efa3f01b9bffafafac7177cfdaa4d700077a2bad42ada735f5553e97f651c4ad SHA512 1bb1f36a069bfaa0d0ffe5258534e02e49237fc6ce85fe3d3648650130165abc9b3d5ff0e7e5861ee1d94add00d4258575f9c2f8556debecf597bdaa5499efe0
diff --git a/dev-python/imageio/imageio-2.35.1.ebuild b/dev-python/imageio/imageio-2.35.1.ebuild
new file mode 100644
index 000000000000..a913a352ba88
--- /dev/null
+++ b/dev-python/imageio/imageio-2.35.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+TEST_IMAGES_COMMIT=1121036015c70cdbb3015e5c5ba0aaaf7d3d6021
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="
+ https://imageio.readthedocs.io/en/stable/
+ https://github.com/imageio/imageio/
+ https://pypi.org/project/imageio/
+"
+SRC_URI="
+ https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/imageio/test_images/archive/${TEST_IMAGES_COMMIT}.tar.gz
+ -> imageio-test_images-${TEST_IMAGES_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/numpy-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.3.2[${PYTHON_USEDEP}]
+ media-libs/freeimage
+"
+BDEPEND="
+ test? (
+ >=dev-python/imageio-ffmpeg-0.4.9-r1[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/tifffile[${PYTHON_USEDEP}]
+ || (
+ media-video/ffmpeg[openh264]
+ media-video/ffmpeg[x264]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ local PATCHES=(
+ # block silently downloading vulnerable libraries from the Internet
+ "${FILESDIR}/imageio-2.22.0-block-download.patch"
+ )
+
+ if use test; then
+ mv "${WORKDIR}/test_images-${TEST_IMAGES_COMMIT}" .test_images || die
+ # upstream tries to update the image cache, and invalidates it
+ # if "git pull" fails
+ sed -i -e 's:git pull:true:' tests/conftest.py || die
+ # ffmpeg tests expect it there
+ mkdir -p "${HOME}/.imageio/images" || die
+ cp .test_images/cockatoo.mp4 "${HOME}/.imageio/images" || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # uses fsspec to grab prebuilt .so from GitHub, sigh
+ tests/test_freeimage.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Note: upstream has a needs_internet marker but it is also
+ # used to mark tests that require test_images checkout that we
+ # supply
+
+ # Tries to download ffmpeg binary ?!
+ tests/test_ffmpeg.py::test_get_exe_installed
+ # blocked by our patch
+ tests/test_core.py::test_fetching
+ tests/test_core.py::test_request
+ # Internet
+ tests/test_bsdf.py::test_from_url
+ tests/test_core.py::test_mvolread_out_of_bytes
+ tests/test_core.py::test_request_read_sources
+ tests/test_pillow.py::test_gif_first_p_frame
+ tests/test_pillow.py::test_png_remote
+ tests/test_pillow.py::test_webp_remote
+ tests/test_pillow_legacy.py::test_png_remote
+ tests/test_swf.py::test_read_from_url
+ # requires pillow-heif, also possibly Internet
+ tests/test_pillow.py::test_avif_remote
+ tests/test_pillow.py::test_heif_remote
+ # not important, requires random system libs
+ tests/test_core.py::test_findlib2
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}